Kirjoittaja Aihe: Yle Areenan ohjelmien tallentaminen tietokoneelle  (Luettu 607012 kertaa)

Illu

  • Käyttäjä
  • Viestejä: 963
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1000 : 06.01.16 - klo:16.33 »
Koodia: [Valitse]
ilkka@kotikone:~$ sudo apt-get install php5-common
[sudo] password for ilkka:
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
E: Paketti yle-dl olisi asennettava uudelleen, mutta sen arkistoa ei löydy.

Ei toimi asennusohjelmat vieläkään.


Eesaurus

  • Käyttäjä
  • Viestejä: 3306
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1001 : 06.01.16 - klo:18.54 »
Ei tunnu toimivan Ubuntu 16.04:ssä, yle-dl on uusin versio. Komentoriviltä kokeiltaessa
Koodia: [Valitse]
yle-dl http://areena.yle.fi/1-3112123
tulee
Koodia: [Valitse]
You have to install and enable the following extension(s) to continue: 'mcrypt'
Subtitles saved to Iltatähti: Iltatähti Special: Beatles, Hector, Freeman ja Rollarit loppiaisen megapläjäyksessä-2016-01-06T10:57:50+02:00.fih.srt
Failed to import youtube_dl

Mcrypt on asennettuna, mutta ei tietoa, miten sen saa enabloiduksi.

Launchylla ladattaessa tulee pelkkä tekstitystiedosto, ei videota lainkaan.

Juu, ei olisi mikään pakko käyttää näitä Ubuntun varhaisia kehitysversioita, mutta jos tuohon nyt helposti löytyisi lääke, niin...   :P

nm

  • Käyttäjä
  • Viestejä: 15104
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1002 : 06.01.16 - klo:19.06 »
Koodia: [Valitse]
ilkka@kotikone:~$ sudo apt-get install php5-common
[sudo] password for ilkka:
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
E: Paketti yle-dl olisi asennettava uudelleen, mutta sen arkistoa ei löydy.

Ei toimi asennusohjelmat vieläkään.

Mitä dpkg sanoo, kun yrität asentaa paketin uudelleen:

Koodia: [Valitse]
wget http://www.homelinuxpc.com/download/yle-dl_2.10.0-1_all.deb
Koodia: [Valitse]
sudo dpkg -i yle-dl_2.10.0-1_all.deb

Ei tunnu toimivan Ubuntu 16.04:ssä, yle-dl on uusin versio. Komentoriviltä kokeiltaessa
Koodia: [Valitse]
yle-dl http://areena.yle.fi/1-3112123
tulee
Koodia: [Valitse]
You have to install and enable the following extension(s) to continue: 'mcrypt'
Subtitles saved to Iltatähti: Iltatähti Special: Beatles, Hector, Freeman ja Rollarit loppiaisen megapläjäyksessä-2016-01-06T10:57:50+02:00.fih.srt
Failed to import youtube_dl

Mcrypt on asennettuna, mutta ei tietoa, miten sen saa enabloiduksi.

Tarvitset php5-mcryptin, joka tosiaan pitää vielä erikseen enabloida:

Koodia: [Valitse]
sudo apt-get install php5-mcrypt
sudo php5enmod mcrypt

Vaihtoehtoisesti voit asentaa youtube-dl:n.
« Viimeksi muokattu: 06.01.16 - klo:19.09 kirjoittanut nm »

Illu

  • Käyttäjä
  • Viestejä: 963
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1003 : 06.01.16 - klo:19.15 »
Näin sanoo:

Koodia: [Valitse]
ilkka@kotikone:~$ sudo dpkg -i yle-dl_2.10.0-1_all.deb
[sudo] password for ilkka:
Selecting previously unselected package yle-dl.
(Luetaan tietokantaa... 196689 files and directories currently installed.)
Valmistellaan paketin yle-dl 2.9.0-1 vaihtamista (käyttäen pakettia yle-dl_2.10.0-1_all.deb)...
Puretaan korvaavaa yle-dl-pakettia...
/var/lib/dpkg/info/yle-dl.postrm: rivi 2: php5dismod: komentoa ei löydy
dpkg: varoitus: aliprosessi vanha post-removal-komentosarja palautti virhetilakoodin 127
dpkg - koetetaan uuden paketin komentosarjaa...
/var/lib/dpkg/tmp.ci/postrm: rivi 2: php5dismod: komentoa ei löydy
dpkg: virhe käsiteltäessä yle-dl_2.10.0-1_all.deb (--install):
 aliprosessi uusi post-removal-komentosarja palautti virhetilakoodin 127
/var/lib/dpkg/tmp.ci/postrm: rivi 2: php5dismod: komentoa ei löydy
dpkg: virhe jälkipuhdistuksessa:
  aliprosessi uusi post-removal-komentosarja palautti virhetilakoodin 127
Käsittelyssä tapahtui liian monta virhettä:
 yle-dl_2.10.0-1_all.deb

Ja päätteellähän tallennus toimii ja versiona on yle-dl 2.10.0

ja edit
Koodia: [Valitse]
ilkka@kotikone:~$ sudo apt-get install php5-mcrypt
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis
E: Paketti yle-dl olisi asennettava uudelleen, mutta sen arkistoa ei löydy.
 

Koodia: [Valitse]
ilkka@kotikone:~$ sudo php5enmod mcrypt
sudo: php5enmod: komentoa ei löytynyt
« Viimeksi muokattu: 06.01.16 - klo:19.20 kirjoittanut Illu »

nm

  • Käyttäjä
  • Viestejä: 15104
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1004 : 06.01.16 - klo:19.32 »
Sitten joudut lataamaan ja asentamaan tarvittavat php5-paketit (php5-common ja php5-json) manuaalisesti packages.ubuntu.com-sivuston kautta. Esimerkiksi Ubuntu 14.04:n php5-common-paketin latauslinkit löytyvät tämän sivun kautta: http://packages.ubuntu.com/trusty/php5-common

Kerro mitä jakeluversiota käytät ja onko se 32- vai 64-bittinen, niin voin etsiä suorat latauslinkit.

Eesaurus

  • Käyttäjä
  • Viestejä: 3306
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1005 : 06.01.16 - klo:19.46 »
Tarvitset php5-mcryptin, joka tosiaan pitää vielä erikseen enabloida:

Koodia: [Valitse]
sudo apt-get install php5-mcrypt
sudo php5enmod mcrypt

Tällä ratkesi, kiitoksia.

Illu

  • Käyttäjä
  • Viestejä: 963
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1006 : 06.01.16 - klo:20.23 »
Sitten joudut lataamaan ja asentamaan tarvittavat php5-paketit (php5-common ja php5-json) manuaalisesti packages.ubuntu.com-sivuston kautta. Esimerkiksi Ubuntu 14.04:n php5-common-paketin latauslinkit löytyvät tämän sivun kautta: http://packages.ubuntu.com/trusty/php5-common

Kerro mitä jakeluversiota käytät ja onko se 32- vai 64-bittinen, niin voin etsiä suorat latauslinkit.

Käytössä on Ubuntu 12.04 ja 64-bittisenä. Myös asennusohje olisi toivottava, kun eivät nämä järjestelmän asennusohjelmat toimi.

mrl586

  • Käyttäjä
  • Viestejä: 4638
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1007 : 06.01.16 - klo:20.40 »
Kaikkein helpoin tapa on ladata ohjelman binaari sen tekijän kotisivuilta ja asentaa se.
Koodia: [Valitse]
wget https://github.com/aajanki/yle-dl/tarball/2.10.0
tar -xzvf 2.10.0
cd aajanki-yle-dl-cfe4fc4
sudo make install
sudo apt-get install youtube-dl python-crypto rtmpdump

Illu

  • Käyttäjä
  • Viestejä: 963
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1008 : 06.01.16 - klo:21.28 »
Kaikkein helpoin tapa on ladata ohjelman binaari sen tekijän kotisivuilta ja asentaa se.
Koodia: [Valitse]
wget https://github.com/aajanki/yle-dl/tarball/2.10.0
tar -xzvf 2.10.0
cd aajanki-yle-dl-cfe4fc4
sudo make install
sudo apt-get install youtube-dl python-crypto rtmpdump

Ei vieläkään tärpännyt, viimeinen komento heitti herjaa.
Koodia: [Valitse]
ilkka@kotikone:~/temp/yledl/aajanki-yle-dl-cfe4fc4$ sudo apt-get install youtube-dl python-crypto rtmpdump
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
E: Paketti yle-dl olisi asennettava uudelleen, mutta sen arkistoa ei löydy.

nm

  • Käyttäjä
  • Viestejä: 15104
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1009 : 06.01.16 - klo:22.03 »
Kaikkein helpoin tapa on ladata ohjelman binaari sen tekijän kotisivuilta ja asentaa se.

Se ei ratkaise Illun Apt-ongelmaa, joka estää nyt kaikki asennukset ja päivitykset.


Käytössä on Ubuntu 12.04 ja 64-bittisenä.

OK, se selittääkin ongelman. 12.04:n php5-paketeissa ei ole yle-dl:n deb-paketin käyttämiä php5enmod ja php5dismod -komentoja. Käytännössä paketointi ei siis ole yhteensopiva Ubuntu 12.04:n kanssa.

Kokeillaan luoda tyhjä skripti puuttuvalle komennolle:

Koodia: [Valitse]
sudo touch /usr/sbin/php5dismod
Koodia: [Valitse]
sudo chmod a+x /usr/sbin/php5dismod
Koodia: [Valitse]
sudo dpkg -r yle-dl
« Viimeksi muokattu: 06.01.16 - klo:22.11 kirjoittanut nm »

ajaaskel

  • Palvelimen ylläpitäjä
  • Käyttäjä
  • Viestejä: 3396
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1010 : 06.01.16 - klo:22.50 »
Korjasin riippuvuuden mcrypt tilalle php5-mcrypt ja rakensin paketin uudestaan:

http://www.homelinuxpc.com/download/yle-dl_2.10.0-2_all.deb

Poistin paketista myös poistovaiheeen mcryptin asetusmuutoksen disabled tilaan joka oikeastaan on turha silloin kun asennus poistetaan. Koeasensin Ubuntu Studioon (14.04.3) jossa ei ollut vielä ollut Areena-asennusta, näytti lataavan.
« Viimeksi muokattu: 07.01.16 - klo:13.17 kirjoittanut ajaaskel »
Autamme ilolla ja ilmaiseksi omalla ajallamme.  Ethän vaadi, uhoa tai isottele näin saamasi palvelun johdosta.

mrl586

  • Käyttäjä
  • Viestejä: 4638
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1011 : 06.01.16 - klo:23.51 »
Kaikkein helpoin tapa on ladata ohjelman binaari sen tekijän kotisivuilta ja asentaa se.
Se ei ratkaise Illun Apt-ongelmaa, joka estää nyt kaikki asennukset ja päivitykset.
Illu pyysi myös asennusohjeita ja tällä tehtynä yle-dl asentuu toimivana, vaikkei pakettienhallinta olisikaan käyttökelpoisessa kunnossa.

Illu

  • Käyttäjä
  • Viestejä: 963
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1012 : 07.01.16 - klo:11.33 »
Koodia: [Valitse]
ilkka@kotikone:~$ sudo touch /usr/sbin/php5dismod
[sudo] password for ilkka:
ilkka@kotikone:~$ sudo chmod a+x /usr/sbin/php5dismod
ilkka@kotikone:~$ sudo dpkg -r yle-dl
dpkg: virhe käsiteltäessä yle-dl (--remove):
 Paketti on hyvin pahasti ristiriitaisessa tilassa - sinun tulisi
 asentaa se uudestaan ennen kuin yrität poistaa sen.
Käsittelyssä tapahtui liian monta virhettä:
 yle-dl

Pitäisi asentaa ennen poistoa. :deb-paketilla ei onnistu, kun asennusohjelma (Ubuntun sovellusvalikoima tai Synaptic) kaatuu kättelyssä.

Tämähän rimpsu:
Koodia: [Valitse]
wget https://github.com/aajanki/yle-dl/tarball/2.10.0
tar -xzvf 2.10.0
cd aajanki-yle-dl-cfe4fc4
sudo make install
sudo apt-get install youtube-dl python-crypto rtmpdump
ei auttanut.
Pitäisikö nyt käyttää jotain raaempaa tapaa poistaa kaikki yle-dl:ään kuuluvat ja aloittaa asennus tyystin alusta?

Sinällään tallennus Areenalle toimii päätteeltä ja selaimeltakin launchyllä, siinä ei ole ongelmaa. Ohjelmiston päivitysjärjestelmä on sekaisin, pitäisikö aiheesta tehdä erikseen uusi aihe?

ajaaskel

  • Palvelimen ylläpitäjä
  • Käyttäjä
  • Viestejä: 3396
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1013 : 07.01.16 - klo:12.24 »
Tuota voisi ehkä soveltaa:

http://askubuntu.com/questions/148715/how-to-fix-package-is-in-a-very-bad-inconsistent-state-error/170808

eli mitä tapahtuu jos annat esimerkiksi:

Koodia: [Valitse]
sudo mv /var/lib/dpkg/info/yle-dl* /tmp/
Koodia: [Valitse]
sudo dpkg --remove --force-remove-reinstreq yle-dl
Koodia: [Valitse]
sudo apt-get purge yle-dl
Hyvä haku Googleen tuohon ongelmaan liittyen on “Package is in a very bad inconsistent state”
« Viimeksi muokattu: 07.01.16 - klo:12.56 kirjoittanut ajaaskel »
Autamme ilolla ja ilmaiseksi omalla ajallamme.  Ethän vaadi, uhoa tai isottele näin saamasi palvelun johdosta.

nm

  • Käyttäjä
  • Viestejä: 15104
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1014 : 07.01.16 - klo:14.55 »
Koodia: [Valitse]
ilkka@kotikone:~$ sudo touch /usr/sbin/php5dismod
[sudo] password for ilkka:
ilkka@kotikone:~$ sudo chmod a+x /usr/sbin/php5dismod
ilkka@kotikone:~$ sudo dpkg -r yle-dl
dpkg: virhe käsiteltäessä yle-dl (--remove):
 Paketti on hyvin pahasti ristiriitaisessa tilassa - sinun tulisi
 asentaa se uudestaan ennen kuin yrität poistaa sen.
Käsittelyssä tapahtui liian monta virhettä:
 yle-dl

Mitä tämä sanoo nyt:

Koodia: [Valitse]
wget http://www.homelinuxpc.com/download/yle-dl_2.10.0-1_all.deb
sudo dpkg -i yle-dl_2.10.0-1_all.deb

Illu

  • Käyttäjä
  • Viestejä: 963
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1015 : 07.01.16 - klo:18.22 »
ajaaskelin ohjeella ja uudelleenkäynnistyksellä alkoi päivitystoiminta taas pelittämään. Tosin päivitysten lopuksi tuli herja:
Koodia: [Valitse]
Errors were encountered while processing:
 yle-dl
Error in function:
Setting up yle-dl (2.10.0-1) ...
/var/lib/dpkg/info/yle-dl.postinst: rivi 2: php5enmod: komentoa ei lydy
dpkg: error processing yle-dl (--configure):
 subprocess installed post-installation script returned error exit status 127

Seuraavaksi katsoin tilannetta Synapticilla ja yle-dl oli siellä kuitenkin asennettu-tilassa, merkitsin kokonaan poistettavaksi, toteutin. Nyt sitä ei näy sovellusvalikoimassa ja Synapticissa se on mahdollisena asentaa. Nyt ei enää tule mitään herjaa järjestelmän päivitysten jatkeeksi. Ja perään vielä päätteessä autoremove.

Yle-dl ei kuitenkaan ole poistunut vaan on käytettävissä ja toimii kauniisti, niin päätteeltä kuin selaimesta.

Päätteellä komento ilman määritteitä vastaa:
Koodia: [Valitse]
ilkka@kotikone:~$ yle-dl
yle-dl 2.10.0: Download media files from Yle Areena and Elävä Arkisto
Copyright (C) 2009-2015 Antti Ajanki <antti.ajanki@iki.fi>, license: GPLv3

/usr/local/bin/yle-dl [options] URL

options:
...

Joten ohjelma ei ole poistunut ja toimiikin hyvin. Jos nyt sitten päivitän
Koodia: [Valitse]
wget http://www.homelinuxpc.com/download/yle-dl_2.10.0-1_all.deb
sudo dpkg -i yle-dl_2.10.0-1_all.deb
saadakseni ohjelman järjestelmän tietoisuuteen, olenko taas alkutilanteessa?

nm

  • Käyttäjä
  • Viestejä: 15104
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1016 : 07.01.16 - klo:19.08 »
Jos nyt sitten päivitän
Koodia: [Valitse]
wget http://www.homelinuxpc.com/download/yle-dl_2.10.0-1_all.deb
sudo dpkg -i yle-dl_2.10.0-1_all.deb
saadakseni ohjelman järjestelmän tietoisuuteen, olenko taas alkutilanteessa?

Ei kannata asentaa tuota deb-pakettia 12.04:ään, kun skriptit eivät toimi oikein.

Asenna manuaalisesti mrl586:n antamalla ohjeella. Siitä taisi jäädä viimeinen apt-get-komento vielä suorittamatta aiemman ongelman vuoksi.

ajaaskel

  • Palvelimen ylläpitäjä
  • Käyttäjä
  • Viestejä: 3396
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1017 : 07.01.16 - klo:21.03 »
Tutkin voisiko paketin saada toimimaan ok vanhemmilla versioilla järkevällä vaivalla. 
« Viimeksi muokattu: 07.01.16 - klo:21.23 kirjoittanut ajaaskel »
Autamme ilolla ja ilmaiseksi omalla ajallamme.  Ethän vaadi, uhoa tai isottele näin saamasi palvelun johdosta.

Illu

  • Käyttäjä
  • Viestejä: 963
    • Profiili
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1018 : 07.01.16 - klo:21.57 »
Nyt ei ainakaan mitään virheilmoituksia esiinny päivitysjärjestelmässä. Tosin Synapticin listassa ei näy olevan asennettuna, mutta mennään nyt näin kun kerran ohjelma toimii ainakin päätteellä, Launchy pitää vielä virittää, se kun on poistunut käytöstä.

Kai tässä pitäisi järjestelmää päivittää uudempaan vuosimalliin mutta niissä harmittaa tiedostoselaimesta puuttuva puurakenne, johon olen mieltynyt (ja U 12.04 on toiminut hyvin).

Kiitokset kullekin ongelmaani ratkoneelle.

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 11279
    • Profiili
    • Tomin kotisivut
Vs: Yle Areenan ohjelmien tallentaminen tietokoneelle
« Vastaus #1019 : 07.01.16 - klo:22.10 »
Kai tässä pitäisi järjestelmää päivittää uudempaan vuosimalliin mutta niissä harmittaa tiedostoselaimesta puuttuva puurakenne, johon olen mieltynyt (ja U 12.04 on toiminut hyvin).

Nyt on tosi offtopic-kommentti, mutta uskosin, että Maten Cinnamonin Nemo-tiedostonhallinnasta tuo löytyy edelleen eikä sitä olla siitä poistamassa. Voit käyttää Nemoa myös Unityn kanssa. Lisäkeskustelua varten on syytä tehdä uusi aihe.

Muokkaus: Hups. Nemo on Cinnamonin tiedostoselain, ei Maten. Maten tiedostoselain on Caja, joka on myöskin Nautiluksen forkki.
« Viimeksi muokattu: 07.01.16 - klo:22.14 kirjoittanut Tomin »
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.